org.apache.ode.jbi

## Class EndpointReferenceContextImpl

- java.lang.Object
- - org.apache.ode.jbi.EndpointReferenceContextImpl

- All Implemented Interfaces:
    EndpointReferenceContext

      public class EndpointReferenceContextImpl
      extends java.lang.Object
      implements EndpointReferenceContext

  Implementation of the ODE `EndpointReferenceContext` interface used by the BPEL engine to convert XML descriptions of endpoint references (EPRs) into Java object representations. In the JBI context all endpoint references are considered to be JBI `ServiceEndpoint`s are resolved by using the `ComponentContext.resolveEndpointReference(org.w3c.dom.DocumentFragment)` method. Note that is is possible to resolve both "internal" and "external" endpoint in this manner. The schema to the internal end-point representation is described on page 50 of the JBI specification 1.0.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointReferenceContextImpl(OdeContext ode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.xml.namespace.QName` | `convertClarkQName(java.lang.String name)`
    `EndpointReference` | `convertEndpoint(javax.xml.namespace.QName eprType, org.w3c.dom.Element epr)` Converts an endpoint reference from its XML representation to another type of endpoint reference.
    `java.util.Map` | `getConfigLookup(EndpointReference epr)`
    `EndpointReference` | `resolveEndpointReference(org.w3c.dom.Element epr)` Resolve an end-point reference from its XML representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EndpointReferenceContextImpl

          public EndpointReferenceContextImpl(OdeContext ode)

  - ### Method Detail

    - #### resolveEndpointReference

          public EndpointReference resolveEndpointReference(org.w3c.dom.Element epr)

      Description copied from interface: `EndpointReferenceContext`
      Resolve an end-point reference from its XML representation. The nature of the representation is determined by the integration layer. The BPEL engine uses this method to reconstruct `EndpointReference` objects that have been persisted in the database via `EndpointReference#toXML(javax.xml.transform.Result)` method.
      Specified by:
        `resolveEndpointReference` in interface `EndpointReferenceContext`
      Returns:
        reconsistituted `EndpointReference`

    - #### convertEndpoint

          public EndpointReference convertEndpoint(javax.xml.namespace.QName eprType,
                                          org.w3c.dom.Element epr)

      Description copied from interface: `EndpointReferenceContext`
      Converts an endpoint reference from its XML representation to another type of endpoint reference.
      Specified by:
        `convertEndpoint` in interface `EndpointReferenceContext`
      Returns:
        converted EndpointReference, being of targetType

    - #### convertClarkQName

          public static javax.xml.namespace.QName convertClarkQName(java.lang.String name)

    - #### getConfigLookup

          public java.util.Map getConfigLookup(EndpointReference epr)

      Specified by:
        `getConfigLookup` in interface `EndpointReferenceContext`
      Returns: